Skip to content
Start here

List tenant structures for an account

zero_trust.cws.tenant_structures.list(TenantStructureListParams**kwargs) -> SyncCursorPagination[TenantStructure]
GET/accounts/{account_id}/cws/tenant-structures

Returns a paginated list of tenant structures in the account.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
ParametersExpand Collapse
account_id: str

Cloudflare account ID (32-character hexadecimal string)

maxLength32
minLength32
cursor: Optional[str]

Pagination cursor from previous response

direction: Optional[Literal["asc", "desc"]]

Sort direction (default: asc)

One of the following:
"asc"
"desc"
import_path: Optional[str]

Filter by import path (case-sensitive literal substring match)

name: Optional[str]

Filter by tenant structure name (case-insensitive substring match)

order: Optional[Literal["name", "created_at", "updated_at"]]

Field to order results by (default: created_at)

One of the following:
"name"
"created_at"
"updated_at"
per_page: Optional[int]

Number of items per page (1-100, default 20)

formatint64
maximum100
minimum1
ReturnsExpand Collapse
class TenantStructure: …
id: str

Server-assigned UUID

formatuuid
application: Literal["aws", "cloudflare"]

Platform this structure models. Immutable after creation; determines valid node kinds and identifier formats.

One of the following:
"aws"
"cloudflare"
created_at: datetime
formatdate-time
name: str

Human-readable name; unique per account

maxLength100
minLength1
updated_at: datetime
formatdate-time
import_path: Optional[str]

Optional unique Rego mount path in the form tenant... The application segment must match application; omitted when unmounted.

maxLength255
minLength1

List tenant structures for an account

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
page = client.zero_trust.cws.tenant_structures.list(
    account_id="xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx",
)
page = page.result[0]
print(page.id)
{
  "errors": [
    {
      "code": 0,
      "message": "message",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 0,
      "message": "message",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": [
    {
      "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
      "application": "aws",
      "created_at": "2019-12-27T18:11:19.117Z",
      "name": "x",
      "updated_at": "2019-12-27T18:11:19.117Z",
      "import_path": "x"
    }
  ],
  "result_info": {
    "count": 0,
    "per_page": 0,
    "total_count": 0,
    "cursor": "cursor"
  },
  "success": true
}
Returns Examples
{
  "errors": [
    {
      "code": 0,
      "message": "message",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 0,
      "message": "message",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": [
    {
      "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
      "application": "aws",
      "created_at": "2019-12-27T18:11:19.117Z",
      "name": "x",
      "updated_at": "2019-12-27T18:11:19.117Z",
      "import_path": "x"
    }
  ],
  "result_info": {
    "count": 0,
    "per_page": 0,
    "total_count": 0,
    "cursor": "cursor"
  },
  "success": true
}